Package de.willuhn.jameica.hbci.server

# Class AbstractSammelTransferImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSammelTransferImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `SammelTransfer`, `Terminable`, `Serializable`, `Remote`

Direct Known Subclasses:
  `SammelLastschriftImpl`, `SammelUeberweisungImpl`

public abstract class AbstractSammelTransferImpl extends AbstractHibiscusDBObject implements SammelTransfer, Terminable
Abstrakte Basis-Implementierung des Containers fuer Sammel-Transfers.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSammelTransferImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`ausgefuehrt()`
Prueft, ob das Objekt ausgefuehrt wurde.
`void`
`delete()`
`Object`
`getAttribute(String arg0)`
Ueberschrieben, um ein Pseudo-Attribut "buchungen" zu erzeugen, welches eine String-Repraesentation der enthaltenen Buchungen enthaelt.
`Date`
`getAusfuehrungsdatum()`
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.
`String`
`getBezeichnung()`
Liefert eine Bezeichnung des Transfers.
`SammelTransferBuchung[]`
`getBuchungenAsArray()`
Liefert die Buchungen des Sammeltransfers als Array.
`protected Class`
`getForeignObject(String arg0)`
`Konto`
`getKonto()`
Liefert das Konto, ueber das der Transfer gebucht wird.
`String`
`getPrimaryAttribute()`
`double`
`getSumme()`
Liefert die Summe der enthaltenen Buchungen.
`Date`
`getTermin()`
Liefert den Termin der Ueberweisung.
`boolean`
`hasWarnings()`
Prueft, ob bei der Ausfuehrung des Auftrages Warnungen auftraten.
`void`
`insert()`
`protected void`
`insertCheck()`
`void`
`setAusgefuehrt(boolean b)`
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.
`void`
`setBezeichnung(String bezeichnung)`
Speichert die Bezeichnung.
`void`
`setKonto(Konto konto)`
Speichert das Konto, ueber das der Transfer gebucht werden soll.
`void`
`setTermin(Date termin)`
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.
`void`
`setWarning(boolean b)`
Legt fest, ob bei der Ausfuehrung Warnungen auftraten.
`void`
`store()`
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getTableName, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SammelTransfer

`createBuchung, getBuchungen`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### AbstractSammelTransferImpl

public AbstractSammelTransferImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`

### getForeignObject

protected Class getForeignObject(String arg0) throws RemoteException

Overrides:
  `getForeignObject` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getForeignObject(java.lang.String)`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `SammelTransfer`
Liefert das Konto, ueber das der Transfer gebucht wird.

Specified by:
  `getKonto` in interface `SammelTransfer`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.getKonto()`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `SammelTransfer`
Speichert das Konto, ueber das der Transfer gebucht werden soll.

Specified by:
  `setKonto` in interface `SammelTransfer`
Parameters:
  `konto` - Konto.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### getTermin

public Date getTermin() throws RemoteException
Description copied from interface: `Terminable`
Liefert den Termin der Ueberweisung.

Specified by:
  `getTermin` in interface `Terminable`
Returns:
  Termin der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `Terminable.getTermin()`

### getAusfuehrungsdatum

public Date getAusfuehrungsdatum() throws RemoteException
Description copied from interface: `Terminable`
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.

Specified by:
  `getAusfuehrungsdatum` in interface `Terminable`
Returns:
  das Datum zu dem der Auftrag ausgefuehrt wurde.
Throws:
  `RemoteException`
See Also:
  - `Terminable.getAusfuehrungsdatum()`

### ausgefuehrt

public boolean ausgefuehrt() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob das Objekt ausgefuehrt wurde.

Specified by:
  `ausgefuehrt` in interface `Terminable`
Returns:
  true, wenn das Objekt bereits ausgefuehrt wurde.
Throws:
  `RemoteException`
See Also:
  - `Terminable.ausgefuehrt()`

### setAusgefuehrt

public void setAusgefuehrt(boolean b) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Terminable`
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.

Specified by:
  `setAusgefuehrt` in interface `Terminable`
Parameters:
  `b` - ausgefuehrt-Status.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Terminable.setAusgefuehrt(boolean)`

### setTermin

public void setTermin(Date termin) throws RemoteException
Description copied from interface: `Terminable`
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.

Specified by:
  `setTermin` in interface `Terminable`
Parameters:
  `termin` - Termin der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `Terminable.setTermin(java.util.Date)`

### ueberfaellig

public boolean ueberfaellig() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob die Ueberweisung ueberfaellig ist.

Specified by:
  `ueberfaellig` in interface `Terminable`
Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`
See Also:
  - `Terminable.ueberfaellig()`

### getBezeichnung

public String getBezeichnung() throws RemoteException
Description copied from interface: `SammelTransfer`
Liefert eine Bezeichnung des Transfers.

Specified by:
  `getBezeichnung` in interface `SammelTransfer`
Returns:
  Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.getBezeichnung()`

### setBezeichnung

public void setBezeichnung(String bezeichnung) throws RemoteException
Description copied from interface: `SammelTransfer`
Speichert die Bezeichnung.

Specified by:
  `setBezeichnung` in interface `SammelTransfer`
Parameters:
  `bezeichnung` -
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.setBezeichnung(java.lang.String)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.delete()`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Changeable.store()`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException
Ueberschrieben, um ein Pseudo-Attribut "buchungen" zu erzeugen, welches eine String-Repraesentation der enthaltenen Buchungen enthaelt.

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getSumme

public double getSumme() throws RemoteException
Description copied from interface: `SammelTransfer`
Liefert die Summe der enthaltenen Buchungen.

Specified by:
  `getSumme` in interface `SammelTransfer`
Returns:
  Summe der enthaltenen Buchungen.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.getSumme()`

### getBuchungenAsArray

public SammelTransferBuchung[] getBuchungenAsArray() throws RemoteException
Description copied from interface: `SammelTransfer`
Liefert die Buchungen des Sammeltransfers als Array. Convenience-Funktion fuer Velocity (fuer den Export). Das versteht leider nur Arrays/List, kann also nicht mit einem DBIterator umgehen.

Specified by:
  `getBuchungenAsArray` in interface `SammelTransfer`
Returns:
  Liste der Buchungen.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.getBuchungenAsArray()`

### hasWarnings

public boolean hasWarnings() throws RemoteException
Description copied from interface: `SammelTransfer`
Prueft, ob bei der Ausfuehrung des Auftrages Warnungen auftraten.

Specified by:
  `hasWarnings` in interface `SammelTransfer`
Returns:
  true, wenn Warnungen auftraten.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.hasWarnings()`

### setWarning

public void setWarning(boolean b) throws RemoteException
Description copied from interface: `SammelTransfer`
Legt fest, ob bei der Ausfuehrung Warnungen auftraten.

Specified by:
  `setWarning` in interface `SammelTransfer`
Parameters:
  `b` - true, wenn Warnungen auftraten.
Throws:
  `RemoteException`
See Also:
  - `SammelTransfer.setWarning(boolean)`